KUBERNETES(1)

NAME

kubeadm join phase control-plane-prepare download-certs - [EXPERIMENTAL] Downloads certificates shared among control-plane nodes from the kubeadm-certs Secret

SYNOPSIS

kubeadm join phase control-plane-prepare download-certs [OPTIONS]

DESCRIPTION

[EXPERIMENTAL] Downloads certificates shared among control-plane nodes from the kubeadm-certs Secret

OPTIONS

--certificate-key=""
    Use this key to decrypt the certificate secrets uploaded by init.

--config=""
    Path to kubeadm config file.

--discovery-file=""
    For file-based discovery, a file or URL from which to load cluster information.

--discovery-token=""
    For token-based discovery, the token used to validate cluster information fetched from the API server.

--discovery-token-ca-cert-hash=[]
    For token-based discovery, validate that the root CA public key matches this hash (format: "<type>:<value>").

--discovery-token-unsafe-skip-ca-verification=false
    For token-based discovery, allow joining without --discovery-token-ca-cert-hash pinning.

--experimental-control-plane=false
    Create a new control plane instance on this node

--tls-bootstrap-token=""
    Specify the token used to temporarily authenticate with the Kubernetes Control Plane while joining the node.

--token=""
    Use this token for both discovery-token and tls-bootstrap-token when those values are not provided.

OPTIONS INHERITED FROM PARENT COMMANDS

--azure-container-registry-config=""
    Path to the file containing Azure container registry configuration information.

--log-flush-frequency=5s
    Maximum number of seconds between log flushes

--rootfs=""
    [EXPERIMENTAL] The path to the 'real' host root filesystem.

--version=false
    Print version information and quit

SEE ALSO

kubeadm-join-phase-control-plane-prepare(1),

HISTORY

January 2015, Originally compiled by Eric Paris (eparis at redhat dot com) based on the kubernetes source material, but hopefully they have been automatically generated since!